After system resume, Intel i915 graphics hangs

Bug #1384297 reported by Chad Miller on 2014-10-22
154
This bug affects 27 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Utopic
High
Unassigned

Bug Description

[ 3871.551684] WARNING: CPU: 2 PID: 2161 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_pm.c:5997 intel_display_power_put+0x14c/0x160 [i915]()
[ 3871.551686] Modules linked in: ctr ccm ec_sys dm_crypt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul arc4 ghash_clmulni_intel rfcomm dm_multipath scsi_dh bnep aesni_intel iwlmvm hid_multitouch aes_x86_64 mac80211 lrw gf128mul glue_helper ablk_helper cryptd snd_hda_codec_hdmi snd_hda_codec_realtek iwlwifi snd_hda_codec_generic nfsd rtsx_pci_ms snd_hda_intel auth_rpcgss snd_hda_controller nfs_acl btusb memstick joydev snd_hda_codec nfs lockd snd_hwdep bluetooth snd_seq_midi snd_seq_midi_event sunrpc snd_rawmidi snd_soc_rt5640 6lowpan_iphc fscache snd_soc_rl6231 cfg80211 snd_seq snd_soc_core snd_compress binfmt_misc snd_pcm_dmaengine snd_pcm snd_seq_device tpm_infineon snd_timer lpc_ich dw_dmac dw_dmac_core i2c_hid 8250_dw i2c_designware_platform
[ 3871.551704] i2c_designware_core snd shpchp snd_soc_sst_acpi mei_me mei spi_pxa2xx_platform mac_hid soundcore serio_raw parport_pc ppdev lp parport btrfs xor raid6_pq dm_mirror dm_region_hash dm_log mmc_block usbhid hid rtsx_pci_sdmmc i915 i2c_algo_bit rtsx_pci psmouse ahci drm_kms_helper r8169 libahci mii drm wmi sdhci_acpi video sdhci
[ 3871.551717] CPU: 2 PID: 2161 Comm: unity-system-co Tainted: G W I 3.16.0-23-generic #30-Ubuntu
[ 3871.551718] Hardware name: System76, Inc Darter UltraThin/Darter UltraThin, BIOS 4.6.5 10/28/2013
[ 3871.551719] 0000000000000009 ffff8800d70efae0 ffffffff8177fcbc 0000000000000000
[ 3871.551721] ffff8800d70efb18 ffffffff8106fd8d ffff88021008002c 000000000000000b
[ 3871.551722] ffff880210088520 ffff8802106c3000 ffff880210080000 ffff8800d70efb28
[ 3871.551724] Call Trace:
[ 3871.551729] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
[ 3871.551732] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
[ 3871.551734] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
[ 3871.551742] [<ffffffffc026525c>] intel_display_power_put+0x14c/0x160 [i915]
[ 3871.551754] [<ffffffffc02adff4>] modeset_update_crtc_power_domains+0x204/0x210 [i915]
[ 3871.551765] [<ffffffffc02ae00e>] haswell_modeset_global_resources+0xe/0x10 [i915]
[ 3871.551775] [<ffffffffc02af70a>] __intel_set_mode+0x5fa/0xab0 [i915]
[ 3871.551785] [<ffffffffc02b2af6>] intel_set_mode+0x16/0x30 [i915]
[ 3871.551794] [<ffffffffc02b3bba>] intel_crtc_set_config+0xa4a/0xda0 [i915]
[ 3871.551804] [<ffffffffc01956d1>] drm_mode_set_config_internal+0x61/0xe0 [drm]
[ 3871.551813] [<ffffffffc01961e1>] drm_framebuffer_remove+0xe1/0x140 [drm]
[ 3871.551822] [<ffffffffc019a1ff>] drm_mode_rmfb+0xdf/0x110 [drm]
[ 3871.551828] [<ffffffffc0189a4f>] drm_ioctl+0x1df/0x680 [drm]
[ 3871.551831] [<ffffffff811f77e4>] ? dentry_free+0x34/0x40
[ 3871.551833] [<ffffffff811f81aa>] ? __dentry_kill+0x17a/0x200
[ 3871.551835] [<ffffffff811f83b0>] ? dput+0x180/0x1c0
[ 3871.551837] [<ffffffff812016b4>] ? mntput+0x24/0x40
[ 3871.551838] [<ffffffff811f4bc8>] do_vfs_ioctl+0x2c8/0x4a0
[ 3871.551840] [<ffffffff811e285e>] ? ____fput+0xe/0x10
[ 3871.551842] [<ffffffff810919ac>] ? task_work_run+0xbc/0xf0
[ 3871.551843] [<ffffffff811f4e21>] SyS_ioctl+0x81/0xa0
[ 3871.551845] [<ffffffff81787ced>] system_call_fastpath+0x1a/0x1f

[ 3871.551854] WARNING: CPU: 2 PID: 2161 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_pm.c:6001 intel_display_power_put+0xf9/0x160 [i915]()
[ 3871.551854] Modules linked in: ctr ccm ec_sys dm_crypt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul arc4 ghash_clmulni_intel rfcomm dm_multipath scsi_dh bnep aesni_intel iwlmvm hid_multitouch aes_x86_64 mac80211 lrw gf128mul glue_helper ablk_helper cryptd snd_hda_codec_hdmi snd_hda_codec_realtek iwlwifi snd_hda_codec_generic nfsd rtsx_pci_ms snd_hda_intel auth_rpcgss snd_hda_controller nfs_acl btusb memstick joydev snd_hda_codec nfs lockd snd_hwdep bluetooth snd_seq_midi snd_seq_midi_event sunrpc snd_rawmidi snd_soc_rt5640 6lowpan_iphc fscache snd_soc_rl6231 cfg80211 snd_seq snd_soc_core snd_compress binfmt_misc snd_pcm_dmaengine snd_pcm snd_seq_device tpm_infineon snd_timer lpc_ich dw_dmac dw_dmac_core i2c_hid 8250_dw i2c_designware_platform
[ 3871.551872] i2c_designware_core snd shpchp snd_soc_sst_acpi mei_me mei spi_pxa2xx_platform mac_hid soundcore serio_raw parport_pc ppdev lp parport btrfs xor raid6_pq dm_mirror dm_region_hash dm_log mmc_block usbhid hid rtsx_pci_sdmmc i915 i2c_algo_bit rtsx_pci psmouse ahci drm_kms_helper r8169 libahci mii drm wmi sdhci_acpi video sdhci
[ 3871.551883] CPU: 2 PID: 2161 Comm: unity-system-co Tainted: G W I 3.16.0-23-generic #30-Ubuntu
[ 3871.551884] Hardware name: System76, Inc Darter UltraThin/Darter UltraThin, BIOS 4.6.5 10/28/2013
[ 3871.551884] 0000000000000009 ffff8800d70efae0 ffffffff8177fcbc 0000000000000000
[ 3871.551886] ffff8800d70efb18 ffffffff8106fd8d ffffffffc0313800 0000000000000800
[ 3871.551887] ffff880210088520 0000000000000000 ffff880210080000 ffff8800d70efb28
[ 3871.551889] Call Trace:
[ 3871.551891] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
[ 3871.551893] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
[ 3871.551895] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
[ 3871.551902] [<ffffffffc0265209>] intel_display_power_put+0xf9/0x160 [i915]
[ 3871.551913] [<ffffffffc02adff4>] modeset_update_crtc_power_domains+0x204/0x210 [i915]
[ 3871.551923] [<ffffffffc02ae00e>] haswell_modeset_global_resources+0xe/0x10 [i915]
[ 3871.551932] [<ffffffffc02af70a>] __intel_set_mode+0x5fa/0xab0 [i915]
[ 3871.551942] [<ffffffffc02b2af6>] intel_set_mode+0x16/0x30 [i915]
[ 3871.551951] [<ffffffffc02b3bba>] intel_crtc_set_config+0xa4a/0xda0 [i915]
[ 3871.551959] [<ffffffffc01956d1>] drm_mode_set_config_internal+0x61/0xe0 [drm]
[ 3871.551967] [<ffffffffc01961e1>] drm_framebuffer_remove+0xe1/0x140 [drm]
[ 3871.551976] [<ffffffffc019a1ff>] drm_mode_rmfb+0xdf/0x110 [drm]
[ 3871.551981] [<ffffffffc0189a4f>] drm_ioctl+0x1df/0x680 [drm]
[ 3871.551984] [<ffffffff811f77e4>] ? dentry_free+0x34/0x40
[ 3871.551986] [<ffffffff811f81aa>] ? __dentry_kill+0x17a/0x200
[ 3871.551988] [<ffffffff811f83b0>] ? dput+0x180/0x1c0
[ 3871.551989] [<ffffffff812016b4>] ? mntput+0x24/0x40
[ 3871.551991] [<ffffffff811f4bc8>] do_vfs_ioctl+0x2c8/0x4a0
[ 3871.551992] [<ffffffff811e285e>] ? ____fput+0xe/0x10
[ 3871.551994] [<ffffffff810919ac>] ? task_work_run+0xbc/0xf0
[ 3871.551995] [<ffffffff811f4e21>] SyS_ioctl+0x81/0xa0
[ 3871.551997] [<ffffffff81787ced>] system_call_fastpath+0x1a/0x1f
[ 3871.551998] ---[ end trace c466719751b40ad9 ]---
[ 3874.233994] ------------[ cut here ]------------
[ 3874.234021] WARNING: CPU: 1 PID: 574 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_pm.c:5997 intel_display_power_put+0x14c/0x160 [i915]()
[ 3874.234022] Modules linked in: ctr ccm ec_sys dm_crypt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul arc4 ghash_clmulni_intel rfcomm dm_multipath scsi_dh bnep aesni_intel iwlmvm hid_multitouch aes_x86_64 mac80211 lrw gf128mul glue_helper ablk_helper cryptd snd_hda_codec_hdmi snd_hda_codec_realtek iwlwifi snd_hda_codec_generic nfsd rtsx_pci_ms snd_hda_intel auth_rpcgss snd_hda_controller nfs_acl btusb memstick joydev snd_hda_codec nfs lockd snd_hwdep bluetooth snd_seq_midi snd_seq_midi_event sunrpc snd_rawmidi snd_soc_rt5640 6lowpan_iphc fscache snd_soc_rl6231 cfg80211 snd_seq snd_soc_core snd_compress binfmt_misc snd_pcm_dmaengine snd_pcm snd_seq_device tpm_infineon snd_timer lpc_ich dw_dmac dw_dmac_core i2c_hid 8250_dw i2c_designware_platform
[ 3874.234045] i2c_designware_core snd shpchp snd_soc_sst_acpi mei_me mei spi_pxa2xx_platform mac_hid soundcore serio_raw parport_pc ppdev lp parport btrfs xor raid6_pq dm_mirror dm_region_hash dm_log mmc_block usbhid hid rtsx_pci_sdmmc i915 i2c_algo_bit rtsx_pci psmouse ahci drm_kms_helper r8169 libahci mii drm wmi sdhci_acpi video sdhci
[ 3874.234059] CPU: 1 PID: 574 Comm: kworker/1:3 Tainted: G W I 3.16.0-23-generic #30-Ubuntu
[ 3874.234060] Hardware name: System76, Inc Darter UltraThin/Darter UltraThin, BIOS 4.6.5 10/28/2013
[ 3874.234074] Workqueue: events edp_panel_vdd_work [i915]
[ 3874.234075] 0000000000000009 ffff880211d3fd30 ffffffff8177fcbc 0000000000000000
[ 3874.234077] ffff880211d3fd68 ffffffff8106fd8d ffff88021008002c 000000000000000b
[ 3874.234078] ffff880210088520 ffff88021057e000 ffff880210080000 ffff880211d3fd78
[ 3874.234080] Call Trace:
[ 3874.234084] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
[ 3874.234087] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
[ 3874.234089] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
[ 3874.234097] [<ffffffffc026525c>] intel_display_power_put+0x14c/0x160 [i915]
[ 3874.234109] [<ffffffffc02c79a4>] edp_panel_vdd_off_sync+0xf4/0x1e0 [i915]
[ 3874.234120] [<ffffffffc02c7ac4>] edp_panel_vdd_work+0x34/0x50 [i915]
[ 3874.234122] [<ffffffff8108d8e2>] process_one_work+0x182/0x4e0
[ 3874.234124] [<ffffffff8108dcab>] worker_thread+0x6b/0x6a0
[ 3874.234125] [<ffffffff8178294d>] ? __schedule+0x39d/0x890
[ 3874.234127] [<ffffffff8108dc40>] ? process_one_work+0x4e0/0x4e0
[ 3874.234129] [<ffffffff81094aeb>] kthread+0xdb/0x100
[ 3874.234131] [<ffffffff81094a10>] ? kthread_create_on_node+0x1c0/0x1c0
[ 3874.234133] [<ffffffff81787c3c>] ret_from_fork+0x7c/0xb0
[ 3874.234135] [<ffffffff81094a10>] ? kthread_create_on_node+0x1c0/0x1c0

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: xserver-xorg-video-intel 2:2.99.914-1~exp1ubuntu4
ProcVersionSignature: Ubuntu 3.16.0-23.30-generic 3.16.4
Uname: Linux 3.16.0-23-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.14.7-0ubuntu7
Architecture: amd64
BootLog:
 Scanning for Btrfs filesystems
 URfkill[629]: Starting urfkilld version 0.6.0

  * Setting up X socket directories... 
[ OK ]
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Wed Oct 22 10:41:08 2014
DistUpgraded: Fresh install
DistroCodename: utopic
DistroVariant: ubuntu
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: CLEVO/KAPOK Computer Device [1558:8400]
MachineType: System76, Inc Darter UltraThin
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-23-generic root=UUID=5aa160f9-0a01-4291-8d9d-704469e9a970 ro acpi_backlight=vendor i915.disable_power_well=0 quiet splash vt.handoff=7
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/28/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 4.6.5
dmi.board.asset.tag: Tag 12345
dmi.board.name: Darter UltraThin
dmi.board.vendor: System76, Inc
dmi.board.version: daru4
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: System76, Inc
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr4.6.5:bd10/28/2013:svnSystem76,Inc:pnDarterUltraThin:pvrdaru4:rvnSystem76,Inc:rnDarterUltraThin:rvrdaru4:cvnSystem76,Inc:ct9:cvrN/A:
dmi.product.name: Darter UltraThin
dmi.product.version: daru4
dmi.sys.vendor: System76, Inc
version.compiz: compiz 1:0.9.12+14.10.20140918-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.56-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.3.0-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.3.0-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.16.0-1ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.4.0-2ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.914-1~exp1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2
xserver.bootTime: Wed Oct 22 08:49:44 2014
xserver.configfile: default
xserver.errors: [dix] eGalax Inc. eGalaxTouch EXC7910-1057-13.00.00: unable to find touch point 0
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs: Output HDMI-0
xserver.version: 2:1.16.0-1ubuntu1
xserver.video_driver: intel

Chad Miller (cmiller) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Wong Yong Jie (yjwong) wrote :

I see this during suspend/resume, and sometimes it results in lockup, requiring a restart of lightdm.

I think it might be safe to say that this regression happened somewhere between Linux kernel 3.13 and 3.16. I was previously running Ubuntu 14.04 LTS (with the 3.13 kernel) and there were no issues. However, running Ubuntu 14.04 LTS with the upstream 3.16 kernel gave this warning. After upgrading to Ubuntu 14.10 LTS (with the Ubuntu 3.16 kernel), the problem persisted.

DavidJB (davidjb) wrote :
Download full text (3.2 KiB)

What looks to be the same issue affects my Ubuntu 14.10 install on my MacBook Pro 10,2. The screen locks up, but the mouse is able to be moved and seen moving, and interacting with windows and desktop elements is stlll possible (eg if a video is playing with VLC, can press Space to pause and resume and hear audio), though because they are 'frozen', no visual changes happen.

After about 5 minutes or so, I'm able to continue using the computer without issues. I switch TTY during the 'freeze' and the screen remains blank for the period, and when the login console appears, I can switch back to TTY7 and continue using my graphical session, no restart of anything required.

For what it's worth, output of dmesg:

[47924.464983] WARNING: CPU: 0 PID: 9647 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_pm.c:5997 intel_display_power_put+0x14c/0x160 [i915]()
[47924.464986] Modules linked in: hfsplus nls_utf8 udf crc_itu_t uas usb_storage btusb snd_hda_codec_hdmi snd_hda_codec_cirrus snd_hda_codec_generic joydev intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_intel applesmc snd_hda_controller snd_hda_codec snd_hwdep crct10dif_pclmul input_polldev crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw snd_pcm gf128mul glue_helper ablk_helper cryptd snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq bnep uvcvideo videobuf2_vmalloc rfcomm bluetooth wl(POE) 6lowpan_iphc bcm5974 i915 snd_seq_device drm_kms_helper snd_timer videobuf2_memops videobuf2_core v4l2_common videodev media drm lpc_ich cfg80211 snd i2c_algo_bit mei_me mei soundcore shpchp sbs binfmt_misc sbshc apple_gmux mac_hid nls_iso8859_1 parport_pc ppdev video
[47924.465046] apple_bl lp parport hid_generic hid_apple usbhid hid sdhci_pci sdhci ahci libahci
[47924.465060] CPU: 0 PID: 9647 Comm: kworker/0:0 Tainted: P W OE 3.16.0-24-generic #32-Ubuntu
[47924.465063] Hardware name: Apple Inc. MacBookPro10,2/Mac-AFD8A9D944EA4843, BIOS MBP102.88Z.0106.B05.1408291503 08/29/2014
[47924.465096] Workqueue: events edp_panel_vdd_work [i915]
[47924.465100] 0000000000000009 ffff880140cd3d30 ffffffff8277fcbc 0000000000000000
[47924.465104] ffff880140cd3d68 ffffffff8206fd8d ffff880087ea002c 000000000000000b
[47924.465108] ffff880087ea8520 ffff880262905000 ffff880087ea0000 ffff880140cd3d78
[47924.465113] Call Trace:
[47924.465123] [<ffffffff8277fcbc>] dump_stack+0x45/0x56
[47924.465130] [<ffffffff8206fd8d>] warn_slowpath_common+0x7d/0xa0
[47924.465135] [<ffffffff8206fe6a>] warn_slowpath_null+0x1a/0x20
[47924.465156] [<ffffffffc062325c>] intel_display_power_put+0x14c/0x160 [i915]
[47924.465184] [<ffffffffc06859a4>] edp_panel_vdd_off_sync+0xf4/0x1e0 [i915]
[47924.465209] [<ffffffffc0685ac4>] edp_panel_vdd_work+0x34/0x50 [i915]
[47924.465215] [<ffffffff8208d8e2>] process_one_work+0x182/0x4e0
[47924.465219] [<ffffffff8208dcab>] worker_thread+0x6b/0x6a0
[47924.465224] [<ffffffff8278294d>] ? __schedule+0x39d/0x890
[47924.465228] [<ffffffff8208dc40>] ? process_one_work+0x4e0/0x4e0
[47924.465234] [<ffffffff82094aeb>] kthread+0xdb/0x100
[47924.465240] [<ffffffff82094a10>] ? kthread_create_on_node+0x1c0/0x1c0
[47924.465247] [<ffffffff82787c3c>] ret_f...

Read more...

Sergei (self-sik) wrote :

Having same issue on DELL Inspiron 7000 13 (mid, 2014)

Kernel:
Linux bono 3.16.0-23-generic #31-Ubuntu SMP Tue Oct 21 17:56:17 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

[11693.162227] WARNING: CPU: 3 PID: 1768 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_pm.c:6001 intel_display_power_put+0xf9/0x160 [i915]()
[11693.162229] Modules linked in: pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) btusb uvcvideo hid_sensor_accel_3d hid_sensor_gyro_3d videobuf2_vmalloc hid_sensor_magn_3d videobuf2_memops hid_sensor_incl_3d hid_sensor_als hid_sensor_rotation hid_sensor_trigger industrialio_triggered_buffer kfifo_buf industrialio hid_sensor_iio_common videobuf2_core hid_multitouch v4l2_common hid_sensor_hub videodev media usbhid hid intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm dell_wmi sparse_keymap crct10dif_pclmul crc32_pclmul joydev ghash_clmulni_intel snd_hda_codec_hdmi aesni_intel aes_x86_64 lrw dell_laptop gf128mul dcdbas glue_helper ablk_helper cryptd rfcomm bnep bluetooth wl(POE) serio_raw 6lowpan_iphc cfg80211 wmi snd_hda_codec_realtek snd_hda_codec_generic snd_seq_midi
[11693.162273] snd_seq_midi_event snd_rawmidi int3403_thermal snd_soc_rt5640 snd_soc_rl6231 snd_soc_core snd_hda_intel snd_compress binfmt_misc snd_hda_controller i915 snd_pcm_dmaengine snd_hda_codec snd_hwdep dell_smo8800 snd_pcm drm_kms_helper snd_seq dw_dmac snd_seq_device i2c_designware_platform drm dw_dmac_core shpchp nls_iso8859_1 lpc_ich video snd_timer i2c_designware_core 8250_dw mac_hid snd spi_pxa2xx_platform mei_me i2c_algo_bit soc_button_array parport_pc mei soundcore ppdev lp parport psmouse ahci libahci sdhci_acpi sdhci
[11693.162309] CPU: 3 PID: 1768 Comm: upowerd Tainted: P W OE 3.16.0-23-generic #31-Ubuntu
[11693.162311] Hardware name: Dell Inc. Inspiron 7347/037N8F, BIOS A00 06/30/2014
[11693.162313] 0000000000000009 ffff88015757bd18 ffffffff8277fcbc 0000000000000000
[11693.162317] ffff88015757bd50 ffffffff8206fd8d ffffffffc03cb800 0000000000000800
[11693.162321] ffff880081c88520 0000000000000000 ffff880081c80000 ffff88015757bd60
[11693.162325] Call Trace:
[11693.162330] [<ffffffff8277fcbc>] dump_stack+0x45/0x56
[11693.162335] [<ffffffff8206fd8d>] warn_slowpath_common+0x7d/0xa0
[11693.162341] [<ffffffff8206fe6a>] warn_slowpath_null+0x1a/0x20
[11693.162359] [<ffffffffc031d209>] intel_display_power_put+0xf9/0x160 [i915]
[11693.162386] [<ffffffffc0382725>] intel_dp_detect+0xa5/0x320 [i915]
[11693.162405] [<ffffffffc0243f2d>] status_show+0x3d/0x80 [drm]
[11693.162411] [<ffffffff824cb560>] dev_attr_show+0x20/0x60
[11693.162415] [<ffffffff82785ab2>] ? mutex_lock+0x12/0x30
[11693.162420] [<ffffffff82259256>] sysfs_kf_seq_show+0xb6/0x150
[11693.162424] [<ffffffff82257803>] kernfs_seq_show+0x23/0x30
[11693.162429] [<ffffffff8220523d>] seq_read+0xcd/0x3b0
[11693.162433] [<ffffffff82258215>] kernfs_fop_read+0xf5/0x160
[11693.162438] [<ffffffff821e0a74>] vfs_read+0x94/0x180
[11693.162442] [<ffffffff821e1716>] SyS_read+0x46/0xb0
[11693.162447] [<ffffffff82787ced>] system_call_fastpath+0x1a/0x1f
[11693.162450] ---[ end trace 7926a16d528e925d ]---

Madko (madko) wrote :

I don't have this bug anymore on mainline kernel 3.18

tags: added: kernel-fixed-upstream
Dennis Jun (dennisjun) wrote :

Same issue on my Dell XPS 13 9333.

Dennis Jun (dennisjun) wrote :

Should have noted my versions:

~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.10
Release: 14.10
Codename: utopic

~$ uname -a
Linux xxxxxx 3.16.0-24-generic #32-Ubuntu SMP Tue Oct 28 13:07:32 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Critical
description: updated
summary: - gpu i915 OOPS on power change intel_display_power_put+0xf9
+ After system resume, Intel i915 graphics hangs
description: updated
affects: xserver-xorg-video-intel (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Dennis Jun (dennisjun) wrote :

Ack, sorry everyone, I changed the status to "Fix Released" by accident and now I can't change it back to "Triaged". Can someone change it back?

Changed in linux (Ubuntu):
status: Triaged → Fix Released
Changed in linux (Ubuntu):
importance: Critical → High
status: Fix Released → Triaged
Changed in linux (Ubuntu Utopic):
importance: Undecided → High
status: New → Triaged
peterthevicar (peterthevicar) wrote :

I just tried with the Vivid kernel (3.18.0) and had the same error. I needed to restart lightdm to get things going again.

[ 65.108123] WARNING: CPU: 0 PID: 6 at /build/buildd/linux-3.18.0/drivers/gpu/drm/i915/intel_display.c:5158 intel_modeset_check_state+0x6cd/0
x770 [i915]()
[ 65.108125] active connector not linked to encoder
[ 65.108171] Modules linked in: arc4 btusb gpio_ich snd_intel8x0 snd_ac97_codec ac97_bus snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi
snd_seq snd_seq_device snd_timer ath5k ath joydev snd mac80211 pcmcia serio_raw rfcomm bnep bluetooth i915 yenta_socket pcmcia_rsrc cfg80211 so
undcore lpc_ich toshiba_acpi pcmcia_core sparse_keymap toshiba_bluetooth binfmt_misc drm_kms_helper wmi toshiba_haps tpm_infineon drm mac_hid v
ideo shpchp i2c_algo_bit parport_pc ppdev lp parport pata_acpi sdhci_pci psmouse sdhci sky2
[ 65.108176] CPU: 0 PID: 6 Comm: kworker/u2:0 Tainted: G W 3.18.0-9-generic #10-Ubuntu
[ 65.108178] Hardware name: TOSHIBA PORTEGE R200/Portable PC, BIOS Version 1.60 10/25/2005
[ 65.108188] Workqueue: events_unbound async_run_entry_fn
[ 65.108195] 00000000 00000000 f50abd28 c16d31b6 f50abd6c f50abd5c c105fb32 f89a7ec4
[ 65.108202] f50abd88 00000006 f89a5a10 00001426 f895d0ed 00001426 f895d0ed f331ec00
[ 65.108208] f2936dc8 f294b300 f50abd74 c105fb83 00000009 f50abd6c f89a7ec4 f50abd88
[ 65.108209] Call Trace:
[ 65.108217] [<c16d31b6>] dump_stack+0x41/0x52
[ 65.108223] [<c105fb32>] warn_slowpath_common+0x82/0xa0
[ 65.108272] [<f895d0ed>] ? intel_modeset_check_state+0x6cd/0x770 [i915]
[ 65.108318] [<f895d0ed>] ? intel_modeset_check_state+0x6cd/0x770 [i915]
[ 65.108323] [<c105fb83>] warn_slowpath_fmt+0x33/0x40
[ 65.108370] [<f895d0ed>] intel_modeset_check_state+0x6cd/0x770 [i915]
[ 65.108419] [<f895edff>] intel_modeset_setup_hw_state+0x76f/0xbe0 [i915]
[ 65.108457] [<f863e1f0>] ? drm_modeset_lock+0x30/0xf0 [drm]
[ 65.108501] [<f89403c0>] ? gen4_read16+0xc0/0xc0 [i915]
[ 65.108531] [<f88fd108>] __i915_drm_thaw+0x108/0x170 [i915]
[ 65.108562] [<f88fdba3>] i915_resume+0x23/0x40 [i915]
[ 65.108593] [<f88fdbd0>] i915_pm_resume+0x10/0x20 [i915]
[ 65.108598] [<c138171f>] pci_pm_resume+0x4f/0x90
[ 65.108605] [<c14693b6>] dpm_run_callback+0x46/0x100
[ 65.108609] [<c13816d0>] ? pci_pm_thaw+0x90/0x90
[ 65.108613] [<c146988d>] device_resume+0xad/0x1a0
[ 65.108617] [<c146999e>] async_resume+0x1e/0x50
[ 65.108621] [<c107ddce>] async_run_entry_fn+0x4e/0x170
[ 65.108626] [<c10875bf>] ? wake_up_process+0x1f/0x40
[ 65.108631] [<c1076932>] process_one_work+0x122/0x3e0
[ 65.108635] [<c1076c31>] worker_thread+0x41/0x560

John Baptist (jepst79) wrote :

Is there an upstream for this bug?

Øyvind Stegard (oyvinst) wrote :

Same issue on Dell E7440 (Intel HD 4400 Haswell) running Ubuntu 14.04 with upgraded kernel 3.16 (LTS enablement).

Øyvind Stegard (oyvinst) wrote :

Actually, I seem to be getting these kernel warnings every time display comes back from DPMS sleep, and not only resume from suspend.

Øyvind Stegard (oyvinst) wrote :

Although not upstream, this looks like the Redhat/Fedora bug for the same issue:
https://bugzilla.redhat.com/show_bug.cgi?id=1120901

Kyle Barbour (kylebarbour) wrote :
Download full text (3.3 KiB)

I'm also having this issue on a new Lenovo X1 Carbon generation 3 (model 20BS CT01 WW). The screen will go black at random intervals and a similar stacktrace is produced on dmesg. Switching to a TTY and back (ctrl+alt+F1 and then back to ctrl+alt+f7, for example) returns to a functional Xorg. This is on Ubuntu trusty 14.04.3 LTS and 3.16.0-46-generic #62~14.04.1-Ubuntu.

dmesg output example:

[32612.021698] ------------[ cut here ]------------
[32612.021722] WARNING: CPU: 0 PID: 1271 at /build/linux-lts-utopic-ZOOBEH/linux-lts-utopic-3.16.0/drivers/gpu/drm/i915/intel_pm.c:5940 intel_display_power_put+0x11d/0x160 [i915]()
[32612.021724] Modules linked in: hid_microsoft usbhid hid uas usb_storage ctr ccm btrfs xor raid6_pq ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs libcrc32c uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core btusb v4l2_common videodev media msr acpi_call(OE) dm_crypt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel arc4 aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd rfcomm snd_hda_codec_realtek snd_hda_codec_generic iwlmvm bnep mac80211 snd_hda_codec_hdmi bluetooth joydev serio_raw 6lowpan_iphc thinkpad_acpi snd_seq_midi snd_seq_midi_event nvram iwlwifi snd_hda_intel lpc_ich snd_hda_controller snd_hda_codec snd_rawmidi snd_hwdep cfg80211 snd_pcm snd_seq mei_me shpchp mei snd_seq_device snd_timer snd soundcore parport_pc binfmt_misc ppdev mac_hid lp parport nls_iso8859_1 i915 psmouse e1000e ahci libahci i2c_algo_bit ptp drm_kms_helper video drm wmi pps_core
[32612.021758] CPU: 0 PID: 1271 Comm: Xorg Tainted: G W OE 3.16.0-46-generic #62~14.04.1-Ubuntu
[32612.021759] Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET31W (1.09 ) 06/26/2015
[32612.021760] 0000000000000009 ffff8800c5eebaa8 ffffffff817663d1 0000000000000000
[32612.021762] ffff8800c5eebae0 ffffffff8106de3d 0000000000000000 ffffffffc0302740
[32612.021764] 0000000000000800 ffff88021e468548 ffff88021e460000 ffff8800c5eebaf0
[32612.021766] Call Trace:
[32612.021770] [<ffffffff817663d1>] dump_stack+0x45/0x56
[32612.021773] [<ffffffff8106de3d>] warn_slowpath_common+0x7d/0xa0
[32612.021776] [<ffffffff8106df1a>] warn_slowpath_null+0x1a/0x20
[32612.021785] [<ffffffffc0256aad>] intel_display_power_put+0x11d/0x160 [i915]
[32612.021800] [<ffffffffc02bb0ff>] intel_edp_panel_off+0x11f/0x1c0 [i915]
[32612.021812] [<ffffffffc02b37a4>] intel_ddi_post_disable+0xe4/0x150 [i915]
[32612.021824] [<ffffffffc029e407>] haswell_crtc_disable+0x107/0x2e0 [i915]
[32612.021835] [<ffffffffc02a00fa>] __intel_set_mode+0x78a/0xa90 [i915]
[32612.021847] [<ffffffffc02a3256>] intel_set_mode+0x16/0x30 [i915]
[32612.021858] [<ffffffffc02a418d>] intel_crtc_set_config+0x8ed/0xdb0 [i915]
[32612.021869] [<ffffffffc0158401>] drm_mode_set_config_internal+0x61/0xe0 [drm]
[32612.021878] [<ffffffffc015be49>] drm_mode_setcrtc+0xd9/0x590 [drm]
[32612.021885] [<ffffffffc014c9ec>] drm_ioctl+0x1ec/0x660 [drm]
[32612.021889] [<ffffffff811e75e0>] do_vfs_ioctl+0x2e0/0x4c0
[32612.021891] [<ffffffff811d6ce1>] ? __sb_end_write+0x31/0x60
[32612.021894] [<ffffffff811d4872>] ? vfs_write+0x172/0x1f0
[3261...

Read more...

Kyle Barbour (kylebarbour) wrote :

Unfortunately, I've recently found that switching to a TTY doesn't always work, and sometimes the screen remains black no matter what is done and a forced reboot is required.

Øyvind Stegard (oyvinst) wrote :

I cannot be 100% certain, but I am reasonably sure this particular problem has vanished for me after I upgraded to the latest LTS enablement stack (kernel 3.19 and newer Xorg components from vivid). I still see some suspend related traces in kernel log, but they are not the same, and in practice I experience less issues.

https://wiki.ubuntu.com/Kernel/LTSEnablementStack

Kyle Barbour (kylebarbour) wrote :

I've migrated to the LST Enablement Stack and after a few days agree that this seems to have been resolved with the newer kernel and xorg components (although it's hard to know for sure - on the 3.16 kernel I think I would have had a problem by now, however).

That's for 3.19.0-26-generic #28~14.04.1-Ubuntu on Ubuntu 14.04.3 LTS. Steps to resolve issue were simply:

$ sudo apt-get install --install-recommends linux-generic-lts-vivid xserver-xorg-core-lts-vivid xserver-xorg-lts-vivid xserver-xorg-video-all-lts-vivid xserver-xorg-input-all-lts-vivid libwayland-egl1-mesa-lts-vivid linux-signed-generic-lts-vivid

and reboot (see instructions in link provided by Øyvind Stegard).

Vadim Zaliva (lord-5) wrote :

I think I am having the same problem on Thinkpad x260. It hangs up during suspend and last message in syslog is:

Mar 19 22:58:26 periplum kernel: [ 29.322099] CPU: 1 PID: 843 Comm: Xorg Tainted: G W 4.2.0-34-generic #39-Ubuntu
Mar 19 22:58:26 periplum kernel: [ 29.322100] Hardware name: LENOVO 20F5S13Q00/20F5S13Q00, BIOS R02ET43W (1.16 ) 01/05/2016
Mar 19 22:58:26 periplum kernel: [ 29.322101] 0000000000000000 00000000074d7529 ffff88042804ba58 ffffffff817ebed3
Mar 19 22:58:26 periplum kernel: [ 29.322104] 0000000000000000 ffff88042804bab0 ffff88042804ba98 ffffffff8107b986
Mar 19 22:58:26 periplum kernel: [ 29.322107] ffff88042804bad8 ffff880426c00000 0000000040000000 ffffffffc025a7d0
Mar 19 22:58:26 periplum kernel: [ 29.322109] Call Trace:
Mar 19 22:58:26 periplum kernel: [ 29.322112] [<ffffffff817ebed3>] dump_stack+0x45/0x57
Mar 19 22:58:26 periplum kernel: [ 29.322116] [<ffffffff8107b986>] warn_slowpath_common+0x86/0xc0
Mar 19 22:58:26 periplum kernel: [ 29.322119] [<ffffffff8107ba15>] warn_slowpath_fmt+0x55/0x70
Mar 19 22:58:26 periplum kernel: [ 29.322131] [<ffffffffc01837a0>] skl_set_power_well+0x790/0x990 [i915]
Mar 19 22:58:26 periplum kernel: [ 29.322143] [<ffffffffc01839d3>] skl_power_well_enable+0x13/0x20 [i915]
Mar 19 22:58:26 periplum kernel: [ 29.322155] [<ffffffffc0183c58>] intel_display_power_get+0x98/0xf0 [i915]
Mar 19 22:58:26 periplum kernel: [ 29.322176] [<ffffffffc021100c>] intel_hdmi_set_edid+0x3c/0xf0 [i915]
Mar 19 22:58:26 periplum kernel: [ 29.322196] [<ffffffffc02111b5>] intel_hdmi_detect+0x55/0xb0 [i915]
Mar 19 22:58:26 periplum kernel: [ 29.322202] [<ffffffffc00a0af5>] drm_helper_probe_single_connector_modes_merge_bits+0x235/0x4d0 [drm_kms_helper]
Mar 19 22:58:26 periplum kernel: [ 29.322205] [<ffffffff8101dcd9>] ? read_tsc+0x9/0x10
Mar 19 22:58:26 periplum kernel: [ 29.322210] [<ffffffffc00a0da3>] drm_helper_probe_single_connector_modes+0x13/0x20 [drm_kms_helper]
Mar 19 22:58:26 periplum kernel: [ 29.322225] [<ffffffffc0038281>] drm_mode_getconnector+0x331/0x390 [drm]
Mar 19 22:58:26 periplum kernel: [ 29.322235] [<ffffffffc0029505>] drm_ioctl+0x125/0x610 [drm]
Mar 19 22:58:26 periplum kernel: [ 29.322238] [<ffffffff810885a1>] ? __set_task_blocked+0x41/0xa0
Mar 19 22:58:26 periplum kernel: [ 29.322251] [<ffffffffc0037f50>] ? drm_mode_getcrtc+0x150/0x150 [drm]
Mar 19 22:58:26 periplum kernel: [ 29.322255] [<ffffffff81211375>] do_vfs_ioctl+0x295/0x480
Mar 19 22:58:26 periplum kernel: [ 29.322258] [<ffffffff810216ed>] ? fpu__restore_sig+0x4d/0x60
Mar 19 22:58:26 periplum kernel: [ 29.322261] [<ffffffff812115d9>] SyS_ioctl+0x79/0x90
Mar 19 22:58:26 periplum kernel: [ 29.322265] [<ffffffff81015088>] ? sys_rt_sigreturn+0xc8/0xe0
Mar 19 22:58:26 periplum kernel: [ 29.322267] [<ffffffff817f2cf2>] entry_SYSCALL_64_fastpath+0x16/0x75
Mar 19 22:58:26 periplum kernel: [ 29.322269] ---[ end trace 9092ca935c821d77 ]---

Rolf Leggewie (r0lf) wrote :

utopic has seen the end of its life and is no longer receiving any updates. Marking the utopic task for this ticket as "Won't Fix".

Changed in linux (Ubuntu Utopic):
status: Triaged → Won't Fix
KeithG (grider-4) wrote :
Download full text (8.8 KiB)

how about 16.04? It does not hang any more, but the message is still repeated many times in the dmesg log:

[ 1.940071] ------------[ cut here ]------------
[ 1.940109] WARNING: CPU: 1 PID: 6 at /build/linux-Ay7j_C/linux-4.4.0/drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b5/0x1c0 [drm]()
[ 1.940113] vblank wait timed out on crtc 0
[ 1.940116] Modules linked in: hid_generic usbhid hid i915 psmouse ahci i2c_algo_bit firewire_ohci libahci sdhci_pci pata_acpi sdhci firewire_core drm_kms_helper crc_itu_t syscopyarea sysfillrect ssb sysimgblt fb_sys_fops sky2 drm wmi fjes video
[ 1.940155] CPU: 1 PID: 6 Comm: kworker/u4:0 Not tainted 4.4.0-21-generic #37-Ubuntu
[ 1.940158] Hardware name: Dell Inc. Inspiron 1525 /0U990C, BIOS A17 10/27/2009
[ 1.940166] Workqueue: events_unbound async_run_entry_fn
[ 1.940171] 0000000000000286 00000000601d6afd ffff8800bb7f7a08 ffffffff813e93c3
[ 1.940177] ffff8800bb7f7a50 ffffffffc0058b10 ffff8800bb7f7a40 ffffffff81080f62
[ 1.940188] ffff880035df3800 0000000000000000 0000000000000000 0000000000000003
[ 1.940191] Call Trace:
[ 1.940197] [<ffffffff813e93c3>] dump_stack+0x63/0x90
[ 1.940202] [<ffffffff81080f62>] warn_slowpath_common+0x82/0xc0
[ 1.940204] [<ffffffff81080ffc>] warn_slowpath_fmt+0x5c/0x80
[ 1.940209] [<ffffffff810c3575>] ? finish_wait+0x55/0x70
[ 1.940224] [<ffffffffc00292a5>] drm_wait_one_vblank+0x1b5/0x1c0 [drm]
[ 1.940227] [<ffffffff810c3a10>] ? wake_atomic_t_function+0x60/0x60
[ 1.940285] [<ffffffffc0208339>] intel_get_load_detect_pipe+0x529/0x530 [i915]
[ 1.940325] [<ffffffffc02418ed>] intel_tv_detect+0x13d/0x5f0 [i915]
[ 1.940341] [<ffffffffc00e7da5>] drm_helper_probe_single_connector_modes_merge_bits+0x235/0x4d0 [drm_kms_helper]
[ 1.940349] [<ffffffffc00e8053>] drm_helper_probe_single_connector_modes+0x13/0x20 [drm_kms_helper]
[ 1.940358] [<ffffffffc00f491e>] drm_fb_helper_initial_config+0xae/0x420 [drm_kms_helper]
[ 1.940396] [<ffffffffc02184bb>] intel_fbdev_initial_config+0x1b/0x20 [i915]
[ 1.940399] [<ffffffff810a2f28>] async_run_entry_fn+0x48/0x150
[ 1.940402] [<ffffffff81099ff2>] process_one_work+0x162/0x480
[ 1.940405] [<ffffffff8109a35b>] worker_thread+0x4b/0x4c0
[ 1.940408] [<ffffffff8109a310>] ? process_one_work+0x480/0x480
[ 1.940411] [<ffffffff810a0528>] kthread+0xd8/0xf0
[ 1.940414] [<ffffffff810a0450>] ? kthread_create_on_node+0x1e0/0x1e0
[ 1.940418] [<ffffffff8182488f>] ret_from_fork+0x3f/0x70
[ 1.940420] [<ffffffff810a0450>] ? kthread_create_on_node+0x1e0/0x1e0
[ 1.940423] ---[ end trace f06ce4fed187d576 ]---
[ 1.946160] sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 >
[ 1.947069] sd 2:0:0:0: [sda] Attached SCSI disk
[ 2.016251] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x39834d15f18, max_idle_ns: 881590752306 ns
[ 2.072400] firewire_core 0000:02:09.0: created device fw0: GUID 444fc0000d6981e1, S400
[ 2.084258] ------------[ cut here ]------------
[ 2.084291] WARNING: CPU: 1 PID: 6 at /build/linux-Ay7j_C/linux-4.4.0/drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b5/0x1c0 [drm]()
[ 2.084295] vblan...

Read more...

spike speigel (frail-knight) wrote :

I get this on my Dell XPS 13 9360:

$ uname -a
Linux blackhole 4.10.0-19-generic #21~16.04.1-Ubuntu SMP Fri Apr 7 08:20:02 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.2 LTS
Release: 16.04
Codename: xenial

I cannot switch terminals to try and recover. Blank screen. Must reboot. Not good.

tags: added: xenial
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.